# Class JDBCHandler

java.lang.Object
uk.ac.starlink.table.jdbc.JDBCHandler

public class JDBCHandler extends Object

## Constructor Summary

Constructors
Constructor
Description
`JDBCHandler()`
`JDBCHandler(JDBCAuthenticator auth)`
`JDBCHandler(JDBCHandler jh)`
Clone constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`createJDBCTable(StarTable startab, String spec, WriteMode mode)`
`JDBCAuthenticator`
`getAuthenticator()`
`static boolean`
`hasDrivers()`
Indicates whether any drivers are installed.
`StarTable`
`makeStarTable(String spec, boolean wantRandom)`
`void`
`setAuthenticator(JDBCAuthenticator auth)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JDBCHandler

public JDBCHandler()

### JDBCHandler

public JDBCHandler(JDBCAuthenticator auth)

### JDBCHandler

public JDBCHandler(JDBCHandler jh)
Clone constructor. This constructor creates a new JDBCHandler with the all the same fields as the given one `jh`.

Parameters:
  `jh` - the handler whose fields to copy

## Method Details

### getAuthenticator

public JDBCAuthenticator getAuthenticator()

### setAuthenticator

public void setAuthenticator(JDBCAuthenticator auth)

### makeStarTable

public StarTable makeStarTable(String spec, boolean wantRandom) throws IOException

Throws:
  `IOException`

### createJDBCTable

public void createJDBCTable(StarTable startab, String spec, WriteMode mode) throws IOException, SQLException

Throws:
  `IOException`
  `SQLException`

### hasDrivers

public static boolean hasDrivers()
Indicates whether any drivers are installed.

Returns:
  `true` iff at least one JDBC driver is available for URL resolution